diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/script-loader.php ./wordpress-3.3/wp-includes/script-loader.php
*** ./wordpress-3.2.1/wp-includes/script-loader.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/script-loader.php	2011-12-09 13:20:47.000000000 -0600
***************
*** 321,342 ****
  			'reply' => __( 'Reply' )
  		) );
  
! 		$scripts->add( 'xfn', "/wp-admin/js/xfn$suffix.js", array('jquery'), '20110524' );
! 		$scripts->add_data( 'xfn', 'group', 1 );
  
! 		$scripts->add( 'postbox', "/wp-admin/js/postbox$suffix.js", array('jquery-ui-sortable'), '20110612' );
! 		$scripts->add_data( 'postbox', 'group', 1 );
  
! 		$scripts->add( 'post', "/wp-admin/js/post$suffix.js", array('suggest', 'wp-lists', 'postbox'), '20110524' );
! 		$scripts->add_data( 'post', 'group', 1 );
  		$scripts->localize( 'post', 'postL10n', array(
- 			'tagsUsed' =>  __('Tags used on this post:'),
- 			'add' => esc_attr(__('Add')),
- 			'addTag' => esc_attr(__('Add new Tag')),
- 			'separate' => __('Separate tags with commas'),
  			'ok' => __('OK'),
  			'cancel' => __('Cancel'),
- 			'edit' => __('Edit'),
  			'publishOn' => __('Publish on:'),
  			'publishOnFuture' =>  __('Schedule for:'),
  			'publishOnPast' => __('Published on:'),
--- 307,320 ----
  			'reply' => __( 'Reply' )
  		) );
  
! 		$scripts->add( 'xfn', "/wp-admin/js/xfn$suffix.js", array('jquery'), '20110524', 1 );
  
! 		$scripts->add( 'postbox', "/wp-admin/js/postbox$suffix.js", array('jquery-ui-sortable'), '20111009a', 1 );
  
! 		$scripts->add( 'post', "/wp-admin/js/post$suffix.js", array('suggest', 'wp-lists', 'postbox'), '20111124', 1 );
  		$scripts->localize( 'post', 'postL10n', array(
  			'ok' => __('OK'),
  			'cancel' => __('Cancel'),
  			'publishOn' => __('Publish on:'),
  			'publishOnFuture' =>  __('Schedule for:'),
  			'publishOnPast' => __('Published on:'),
***************
*** 352,451 ****
  			'publicSticky' => __('Public, Sticky'),
  			'password' => __('Password Protected'),
  			'privatelyPublished' => __('Privately Published'),
! 			'published' => __('Published'),
! 			'l10n_print_after' => 'try{convertEntities(postL10n);}catch(e){};'
  		) );
  
! 		$scripts->add( 'link', "/wp-admin/js/link$suffix.js", array('wp-lists', 'postbox'), '20110524' );
! 		$scripts->add_data( 'link', 'group', 1 );
  
  		$scripts->add( 'comment', "/wp-admin/js/comment$suffix.js", array('jquery'), '20110429' );
  		$scripts->add_data( 'comment', 'group', 1 );
  		$scripts->localize( 'comment', 'commentL10n', array(
! 			'cancel' => __('Cancel'),
! 			'edit' => __('Edit'),
! 			'submittedOn' => __('Submitted on:'),
! 			'l10n_print_after' => 'try{convertEntities(commentL10n);}catch(e){};'
  		) );
  
! 		$scripts->add( 'admin-gallery', "/wp-admin/js/gallery$suffix.js", array( 'jquery-ui-sortable' ), '20110414' );
  
! 		$scripts->add( 'media-upload', "/wp-admin/js/media-upload$suffix.js", array( 'thickbox' ), '20110425' );
! 		$scripts->add_data( 'media-upload', 'group', 1 );
  
! 		$scripts->add( 'admin-widgets', "/wp-admin/js/widgets$suffix.js", array( 'jquery-ui-sortable', 'jquery-ui-draggable', 'jquery-ui-droppable' ), '20110601' );
! 		$scripts->add_data( 'admin-widgets', 'group', 1 );
  
! 		$scripts->add( 'word-count', "/wp-admin/js/word-count$suffix.js", array( 'jquery' ), '20110515' );
! 		$scripts->add_data( 'word-count', 'group', 1 );
  
! 		$scripts->add( 'theme', "/wp-admin/js/theme$suffix.js", array( 'thickbox' ), '20110118' );
! 		$scripts->add_data( 'theme', 'group', 1 );
! 
! 		$scripts->add( 'theme-preview', "/wp-admin/js/theme-preview$suffix.js", array( 'thickbox', 'jquery' ), '20100407' );
! 		$scripts->add_data( 'theme-preview', 'group', 1 );
! 
! 		$scripts->add( 'inline-edit-post', "/wp-admin/js/inline-edit-post$suffix.js", array( 'jquery', 'suggest' ), '20110609' );
! 		$scripts->add_data( 'inline-edit-post', 'group', 1 );
  		$scripts->localize( 'inline-edit-post', 'inlineEditL10n', array(
  			'error' => __('Error while saving the changes.'),
  			'ntdeltitle' => __('Remove From Bulk Edit'),
! 			'notitle' => __('(no title)'),
! 			'l10n_print_after' => 'try{convertEntities(inlineEditL10n);}catch(e){};'
  		) );
  
! 		$scripts->add( 'inline-edit-tax', "/wp-admin/js/inline-edit-tax$suffix.js", array( 'jquery' ), '20110609' );
! 		$scripts->add_data( 'inline-edit-tax', 'group', 1 );
  		$scripts->localize( 'inline-edit-tax', 'inlineEditL10n', array(
! 			'error' => __('Error while saving the changes.'),
! 			'l10n_print_after' => 'try{convertEntities(inlineEditL10n);}catch(e){};'
  		) );
  
! 		$scripts->add( 'plugin-install', "/wp-admin/js/plugin-install$suffix.js", array( 'jquery', 'thickbox' ), '20110113' );
! 		$scripts->add_data( 'plugin-install', 'group', 1 );
  		$scripts->localize( 'plugin-install', 'plugininstallL10n', array(
  			'plugin_information' => __('Plugin Information:'),
! 			'ays' => __('Are you sure you want to install this plugin?'),
! 			'l10n_print_after' => 'try{convertEntities(plugininstallL10n);}catch(e){};'
  		) );
  
  		$scripts->add( 'farbtastic', '/wp-admin/js/farbtastic.js', array('jquery'), '1.2' );
  
! 		$scripts->add( 'dashboard', "/wp-admin/js/dashboard$suffix.js", array( 'jquery', 'admin-comments', 'postbox' ), '20110524' );
! 		$scripts->add_data( 'dashboard', 'group', 1 );
! 
! 		$scripts->add( 'hoverIntent', "/wp-includes/js/hoverIntent$suffix.js", array('jquery'), '20090102' );
! 		$scripts->add_data( 'hoverIntent', 'group', 1 );
  
  		$scripts->add( 'list-revisions', "/wp-includes/js/wp-list-revisions$suffix.js", null, '20091223' );
  
! 		$scripts->add( 'media', "/wp-admin/js/media$suffix.js", array( 'jquery-ui-draggable' ), '20101022' );
! 		$scripts->add_data( 'media', 'group', 1 );
  
! 		$scripts->add( 'image-edit', "/wp-admin/js/image-edit$suffix.js", array('jquery', 'json2', 'imgareaselect'), '20110524' );
! 		$scripts->add_data( 'image-edit', 'group', 1 );
  
! 		$scripts->add( 'set-post-thumbnail', "/wp-admin/js/set-post-thumbnail$suffix.js", array( 'jquery' ), '20100518' );
! 		$scripts->add_data( 'set-post-thumbnail', 'group', 1 );
  		$scripts->localize( 'set-post-thumbnail', 'setPostThumbnailL10n', array(
  			'setThumbnail' => __( 'Use as featured image' ),
  			'saving' => __( 'Saving...' ),
  			'error' => __( 'Could not set that as the thumbnail image. Try a different attachment.' ),
! 			'done' => __( 'Done' ),
! 			'l10n_print_after' => 'try{convertEntities(setPostThumbnailL10n);}catch(e){};'
  		) );
  
  		// Navigation Menus
! 		$scripts->add( 'nav-menu', "/wp-admin/js/nav-menu$suffix.js", array('jquery-ui-sortable'), '20110524' );
  		$scripts->localize( 'nav-menu', 'navMenuL10n', array(
  			'noResultsFound' => _x('No results found.', 'search results'),
  			'warnDeleteMenu' => __( "You are about to permanently delete this menu. \n 'Cancel' to stop, 'OK' to delete." ),
! 			'saveAlert' => __('The changes you made will be lost if you navigate away from this page.'),
! 			'l10n_print_after' => 'try{convertEntities(navMenuL10n);}catch(e){};'
  		) );
  
! 		$scripts->add( 'custom-background', "/wp-admin/js/custom-background$suffix.js", array('farbtastic'), '20110511' );
! 		$scripts->add_data( 'custom-background', 'group', 1 );
  	}
  }
  
--- 330,402 ----
  			'publicSticky' => __('Public, Sticky'),
  			'password' => __('Password Protected'),
  			'privatelyPublished' => __('Privately Published'),
! 			'published' => __('Published')
  		) );
  
! 		$scripts->add( 'link', "/wp-admin/js/link$suffix.js", array('wp-lists', 'postbox'), '20110524', 1 );
  
  		$scripts->add( 'comment', "/wp-admin/js/comment$suffix.js", array('jquery'), '20110429' );
  		$scripts->add_data( 'comment', 'group', 1 );
  		$scripts->localize( 'comment', 'commentL10n', array(
! 			'submittedOn' => __('Submitted on:')
  		) );
  
! 		$scripts->add( 'admin-gallery', "/wp-admin/js/gallery$suffix.js", array( 'jquery-ui-sortable' ), '20110930' );
  
! 		$scripts->add( 'admin-widgets', "/wp-admin/js/widgets$suffix.js", array( 'jquery-ui-sortable', 'jquery-ui-draggable', 'jquery-ui-droppable' ), '20110925', 1 );
  
! 		$scripts->add( 'theme', "/wp-admin/js/theme$suffix.js", array( 'thickbox' ), '20110118', 1 );
  
! 		$scripts->add( 'theme-preview', "/wp-admin/js/theme-preview$suffix.js", array( 'thickbox', 'jquery' ), '20100407', 1 );
  
! 		$scripts->add( 'inline-edit-post', "/wp-admin/js/inline-edit-post$suffix.js", array( 'jquery', 'suggest' ), '20111129', 1 );
  		$scripts->localize( 'inline-edit-post', 'inlineEditL10n', array(
  			'error' => __('Error while saving the changes.'),
  			'ntdeltitle' => __('Remove From Bulk Edit'),
! 			'notitle' => __('(no title)')
  		) );
  
! 		$scripts->add( 'inline-edit-tax', "/wp-admin/js/inline-edit-tax$suffix.js", array( 'jquery' ), '20110609', 1 );
  		$scripts->localize( 'inline-edit-tax', 'inlineEditL10n', array(
! 			'error' => __('Error while saving the changes.')
  		) );
  
! 		$scripts->add( 'plugin-install', "/wp-admin/js/plugin-install$suffix.js", array( 'jquery', 'thickbox' ), '20110113', 1 );
  		$scripts->localize( 'plugin-install', 'plugininstallL10n', array(
  			'plugin_information' => __('Plugin Information:'),
! 			'ays' => __('Are you sure you want to install this plugin?')
  		) );
  
  		$scripts->add( 'farbtastic', '/wp-admin/js/farbtastic.js', array('jquery'), '1.2' );
  
! 		$scripts->add( 'dashboard', "/wp-admin/js/dashboard$suffix.js", array( 'jquery', 'admin-comments', 'postbox' ), '20111123', 1 );
  
  		$scripts->add( 'list-revisions', "/wp-includes/js/wp-list-revisions$suffix.js", null, '20091223' );
  
! 		$scripts->add( 'media', "/wp-admin/js/media$suffix.js", array( 'jquery-ui-draggable' ), '20101022', 1 );
  
! 		$scripts->add( 'image-edit', "/wp-admin/js/image-edit$suffix.js", array('jquery', 'json2', 'imgareaselect'), '20110927', 1 );
! 		$scripts->localize( 'image-edit', 'imageEditL10n', array(
! 			'error' => __( 'Could not load the preview image. Please reload the page and try again.' )
! 		));
  
! 		$scripts->add( 'set-post-thumbnail', "/wp-admin/js/set-post-thumbnail$suffix.js", array( 'jquery' ), '20100518', 1 );
  		$scripts->localize( 'set-post-thumbnail', 'setPostThumbnailL10n', array(
  			'setThumbnail' => __( 'Use as featured image' ),
  			'saving' => __( 'Saving...' ),
  			'error' => __( 'Could not set that as the thumbnail image. Try a different attachment.' ),
! 			'done' => __( 'Done' )
  		) );
  
  		// Navigation Menus
! 		$scripts->add( 'nav-menu', "/wp-admin/js/nav-menu$suffix.js", array('jquery-ui-sortable'), '20111115' );
  		$scripts->localize( 'nav-menu', 'navMenuL10n', array(
  			'noResultsFound' => _x('No results found.', 'search results'),
  			'warnDeleteMenu' => __( "You are about to permanently delete this menu. \n 'Cancel' to stop, 'OK' to delete." ),
! 			'saveAlert' => __('The changes you made will be lost if you navigate away from this page.')
  		) );
  
! 		$scripts->add( 'custom-background', "/wp-admin/js/custom-background$suffix.js", array('farbtastic'), '20110511', 1 );
  	}
  }
  
***************
*** 474,521 ****
  	$styles->content_url = defined('WP_CONTENT_URL')? WP_CONTENT_URL : '';
  	$styles->default_version = get_bloginfo( 'version' );
  	$styles->text_direction = function_exists( 'is_rtl' ) && is_rtl() ? 'rtl' : 'ltr';
! 	$styles->default_dirs = array('/wp-admin/');
  
  	$suffix = defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? '.dev' : '';
  
! 	$rtl_styles = array( 'wp-admin', 'global', 'colors', 'colors-fresh', 'colors-classic', 'dashboard', 'ie', 'install', 'login', 'media', 'theme-editor', 'upload', 'widgets', 'press-this', 'plugin-install', 'nav-menu', 'farbtastic', 'admin-bar', 'wplink', 'theme-install' );
  	// Any rtl stylesheets that don't have a .dev version for ltr
  	$no_suffix = array( 'farbtastic' );
  
! 	$styles->add( 'wp-admin', "/wp-admin/css/wp-admin$suffix.css", array(), '20110711' );
  
! 	$styles->add( 'ie', "/wp-admin/css/ie$suffix.css", array(), '20110711' );
  	$styles->add_data( 'ie', 'conditional', 'lte IE 7' );
  
  	// all colors stylesheets need to have the same query strings (cache manifest compat)
! 	$colors_version = '20110703';
  
  	// Register "meta" stylesheet for admin colors. All colors-* style sheets should have the same version string.
! 	$styles->add( 'colors', true, array(), $colors_version );
  
  	// do not refer to these directly, the right one is queued by the above "meta" colors handle
! 	$styles->add( 'colors-fresh', "/wp-admin/css/colors-fresh$suffix.css", array(), $colors_version );
! 	$styles->add( 'colors-classic', "/wp-admin/css/colors-classic$suffix.css", array(), $colors_version );
  
! 	$styles->add( 'ms', "/wp-admin/css/ms$suffix.css", array(), '20110623' );
! 	$styles->add( 'global', "/wp-admin/css/global$suffix.css", array(), '20110711b' );
! 	$styles->add( 'media', "/wp-admin/css/media$suffix.css", array(), '20110707' );
! 	$styles->add( 'widgets', "/wp-admin/css/widgets$suffix.css", array(), '20110606' );
! 	$styles->add( 'dashboard', "/wp-admin/css/dashboard$suffix.css", array(), '20110711' );
! 	$styles->add( 'install', "/wp-admin/css/install$suffix.css", array(), '20110707' ); // Readme as well
! 	$styles->add( 'theme-editor', "/wp-admin/css/theme-editor$suffix.css", array(), '20110602' );
! 	$styles->add( 'press-this', "/wp-admin/css/press-this$suffix.css", array(), '20110707' );
! 	$styles->add( 'thickbox', '/wp-includes/js/thickbox/thickbox.css', array(), '20090514' );
! 	$styles->add( 'login', "/wp-admin/css/login$suffix.css", array(), '20110610' );
! 	$styles->add( 'plugin-install', "/wp-admin/css/plugin-install$suffix.css", array(), '20110628' );
! 	$styles->add( 'theme-install', "/wp-admin/css/theme-install$suffix.css", array(), '20110506' );
! 	$styles->add( 'farbtastic', '/wp-admin/css/farbtastic.css', array(), '1.3u' );
  	$styles->add( 'jcrop', '/wp-includes/js/jcrop/jquery.Jcrop.css', array(), '0.9.8' );
  	$styles->add( 'imgareaselect', '/wp-includes/js/imgareaselect/imgareaselect.css', array(), '0.9.1' );
! 	$styles->add( 'nav-menu', "/wp-admin/css/nav-menu$suffix.css", array(), '20110611' );
! 	$styles->add( 'admin-bar', "/wp-includes/css/admin-bar$suffix.css", array(), '20110622' );
! 	$styles->add( 'wp-jquery-ui-dialog', "/wp-includes/css/jquery-ui-dialog$suffix.css", array(), '20101224' );
! 	$styles->add( 'wplink', "/wp-includes/js/tinymce/plugins/wplink/css/wplink$suffix.css", array(), '20101224' );
  
  	foreach ( $rtl_styles as $rtl_style ) {
  		$styles->add_data( $rtl_style, 'rtl', true );
--- 425,463 ----
  	$styles->content_url = defined('WP_CONTENT_URL')? WP_CONTENT_URL : '';
  	$styles->default_version = get_bloginfo( 'version' );
  	$styles->text_direction = function_exists( 'is_rtl' ) && is_rtl() ? 'rtl' : 'ltr';
! 	$styles->default_dirs = array('/wp-admin/', '/wp-includes/css/');
  
  	$suffix = defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? '.dev' : '';
  
! 	$rtl_styles = array( 'wp-admin', 'ie', 'media', 'admin-bar', 'wplink' );
  	// Any rtl stylesheets that don't have a .dev version for ltr
  	$no_suffix = array( 'farbtastic' );
  
! 	$styles->add( 'wp-admin', "/wp-admin/css/wp-admin$suffix.css", array(), '20111208' );
  
! 	$styles->add( 'ie', "/wp-admin/css/ie$suffix.css", array(), '20111130' );
  	$styles->add_data( 'ie', 'conditional', 'lte IE 7' );
  
  	// all colors stylesheets need to have the same query strings (cache manifest compat)
! 	$colors_version = '20111206';
  
  	// Register "meta" stylesheet for admin colors. All colors-* style sheets should have the same version string.
! 	$styles->add( 'colors', true, array('wp-admin'), $colors_version );
  
  	// do not refer to these directly, the right one is queued by the above "meta" colors handle
! 	$styles->add( 'colors-fresh', "/wp-admin/css/colors-fresh$suffix.css", array('wp-admin'), $colors_version );
! 	$styles->add( 'colors-classic', "/wp-admin/css/colors-classic$suffix.css", array('wp-admin'), $colors_version );
  
! 	$styles->add( 'media', "/wp-admin/css/media$suffix.css", array(), '20111119' );
! 	$styles->add( 'install', "/wp-admin/css/install$suffix.css", array(), '20111117' ); // Readme as well
! 	$styles->add( 'thickbox', '/wp-includes/js/thickbox/thickbox.css', array(), '20111117' );
! 	$styles->add( 'farbtastic', '/wp-admin/css/farbtastic.css', array(), '1.3u1' );
  	$styles->add( 'jcrop', '/wp-includes/js/jcrop/jquery.Jcrop.css', array(), '0.9.8' );
  	$styles->add( 'imgareaselect', '/wp-includes/js/imgareaselect/imgareaselect.css', array(), '0.9.1' );
! 	$styles->add( 'admin-bar', "/wp-includes/css/admin-bar$suffix.css", array(), '20111209' );
! 	$styles->add( 'wp-jquery-ui-dialog', "/wp-includes/css/jquery-ui-dialog$suffix.css", array(), '20111107' );
! 	$styles->add( 'editor-buttons', "/wp-includes/css/editor-buttons$suffix.css", array(), '20111114' );
! 	$styles->add( 'wp-pointer', "/wp-includes/css/wp-pointer$suffix.css", array(), '20111205' );
  
  	foreach ( $rtl_styles as $rtl_style ) {
  		$styles->add_data( $rtl_style, 'rtl', true );
***************
*** 529,535 ****
   *
   * @since 2.3.1
   *
!  * @param array $js_array JavaScript scripst array
   * @return array Reordered array, if needed.
   */
  function wp_prototype_before_jquery( $js_array ) {
--- 471,477 ----
   *
   * @since 2.3.1
   *
!  * @param array $js_array JavaScript scripts array
   * @return array Reordered array, if needed.
   */
  function wp_prototype_before_jquery( $js_array ) {
***************
*** 561,568 ****
  	wp_localize_script( 'autosave', 'autosaveL10n', array(
  		'autosaveInterval' => AUTOSAVE_INTERVAL,
  		'savingText' => __('Saving Draft&#8230;'),
! 		'saveAlert' => __('The changes you made will be lost if you navigate away from this page.'),
! 		'l10n_print_after' => 'try{convertEntities(autosaveL10n);}catch(e){};'
  	) );
  
  }
--- 503,509 ----
  	wp_localize_script( 'autosave', 'autosaveL10n', array(
  		'autosaveInterval' => AUTOSAVE_INTERVAL,
  		'savingText' => __('Saving Draft&#8230;'),
! 		'saveAlert' => __('The changes you made will be lost if you navigate away from this page.')
  	) );
  
  }
***************
*** 635,641 ****
  		$wp_scripts = new WP_Scripts();
  
  	script_concat_settings();
- 	$wp_scripts->do_items( 'l10n' );
  	$wp_scripts->do_concat = $concatenate_scripts;
  	$wp_scripts->do_head_items();
  
--- 576,581 ----
***************
*** 647,662 ****
  }
  
  /**
!  * Prints the scripts that were queued for the footer on admin pages.
   *
   * @since 2.8
   */
  function print_footer_scripts() {
  	global $wp_scripts, $concatenate_scripts;
  
- 	if ( ! did_action('wp_print_footer_scripts') )
- 		do_action('wp_print_footer_scripts');
- 
  	if ( !is_a($wp_scripts, 'WP_Scripts') )
  		return array(); // No need to run if not instantiated.
  
--- 587,599 ----
  }
  
  /**
!  * Prints the scripts that were queued for the footer or too late for the HTML head.
   *
   * @since 2.8
   */
  function print_footer_scripts() {
  	global $wp_scripts, $concatenate_scripts;
  
  	if ( !is_a($wp_scripts, 'WP_Scripts') )
  		return array(); // No need to run if not instantiated.
  
***************
*** 671,676 ****
--- 608,616 ----
  	return $wp_scripts->done;
  }
  
+ /**
+  * @internal use
+  */
  function _print_scripts() {
  	global $wp_scripts, $compress_scripts;
  
***************
*** 681,688 ****
  	if ( !empty($wp_scripts->concat) ) {
  
  		if ( !empty($wp_scripts->print_code) ) {
! 			echo "<script type='text/javascript'>\n";
! 			echo "/* <![CDATA[ */\n";
  			echo $wp_scripts->print_code;
  			echo "/* ]]> */\n";
  			echo "</script>\n";
--- 621,628 ----
  	if ( !empty($wp_scripts->concat) ) {
  
  		if ( !empty($wp_scripts->print_code) ) {
! 			echo "\n<script type='text/javascript'>\n";
! 			echo "/* <![CDATA[ */\n"; // not needed in HTML 5
  			echo $wp_scripts->print_code;
  			echo "/* ]]> */\n";
  			echo "</script>\n";
***************
*** 718,729 ****
  }
  
  /**
!  * Prints the scripts that were queued for the footer on the front end.
   *
   * @since 2.8
   */
  function wp_print_footer_scripts() {
! 	return print_footer_scripts();
  }
  
  /**
--- 658,679 ----
  }
  
  /**
!  * Private, for use in *_footer_scripts hooks
!  *
!  * @since 3.3
!  */
! function _wp_footer_scripts() {
! 	print_late_styles();
! 	print_footer_scripts();
! }
! 
! /**
!  * Hooks to print the scripts and styles in the footer.
   *
   * @since 2.8
   */
  function wp_print_footer_scripts() {
! 	do_action('wp_print_footer_scripts');
  }
  
  /**
***************
*** 738,743 ****
--- 688,698 ----
  	do_action('wp_enqueue_scripts');
  }
  
+ /**
+  * Prints the styles queue in the HTML head on admin pages.
+  *
+  * @since 2.8
+  */
  function print_admin_styles() {
  	global $wp_styles, $concatenate_scripts, $compress_css;
  
***************
*** 752,774 ****
  
  	$wp_styles->do_items(false);
  
! 	if ( apply_filters('print_admin_styles', true) ) {
! 		if ( !empty($wp_styles->concat) ) {
! 			$dir = $wp_styles->text_direction;
! 			$ver = md5("$wp_styles->concat_version{$dir}");
! 			$href = $wp_styles->base_url . "/wp-admin/load-styles.php?c={$zip}&dir={$dir}&load=" . trim($wp_styles->concat, ', ') . "&ver=$ver";
! 			echo "<link rel='stylesheet' href='" . esc_attr($href) . "' type='text/css' media='all' />\n";
! 		}
  
! 		if ( !empty($wp_styles->print_html) )
! 			echo $wp_styles->print_html;
! 	}
  
! 	$wp_styles->do_concat = false;
! 	$wp_styles->concat = $wp_styles->concat_version = $wp_styles->print_html = '';
  	return $wp_styles->done;
  }
  
  function script_concat_settings() {
  	global $concatenate_scripts, $compress_scripts, $compress_css;
  
--- 707,772 ----
  
  	$wp_styles->do_items(false);
  
! 	if ( apply_filters('print_admin_styles', true) )
! 		_print_styles();
  
! 	$wp_styles->reset();
! 	return $wp_styles->done;
! }
  
! /**
!  * Prints the styles that were queued too late for the HTML head.
!  *
!  * @since 3.3
!  */
! function print_late_styles() {
! 	global $wp_styles, $concatenate_scripts;
! 
! 	if ( !is_a($wp_styles, 'WP_Styles') )
! 		return;
! 
! 	$wp_styles->do_concat = $concatenate_scripts;
! 	$wp_styles->do_footer_items();
! 
! 	if ( apply_filters('print_late_styles', true) )
! 		_print_styles();
! 
! 	$wp_styles->reset();
  	return $wp_styles->done;
  }
  
+ /**
+  * @internal use
+  */
+ function _print_styles() {
+ 	global $wp_styles, $compress_css;
+ 
+ 	$zip = $compress_css ? 1 : 0;
+ 	if ( $zip && defined('ENFORCE_GZIP') && ENFORCE_GZIP )
+ 		$zip = 'gzip';
+ 
+ 	if ( !empty($wp_styles->concat) ) {
+ 		$dir = $wp_styles->text_direction;
+ 		$ver = md5("$wp_styles->concat_version{$dir}");
+ 		$href = $wp_styles->base_url . "/wp-admin/load-styles.php?c={$zip}&dir={$dir}&load=" . trim($wp_styles->concat, ', ') . "&ver=$ver";
+ 		echo "<link rel='stylesheet' href='" . esc_attr($href) . "' type='text/css' media='all' />\n";
+ 
+ 		if ( !empty($wp_styles->print_code) ) {
+ 			echo "<style type='text/css'>\n";
+ 			echo $wp_styles->print_code;
+ 			echo "\n</style>\n";
+ 		}
+ 	}
+ 
+ 	if ( !empty($wp_styles->print_html) )
+ 		echo $wp_styles->print_html;
+ }
+ 
+ /**
+  * Determine the concatenation and compression settings for scripts and styles.
+  *
+  * @since 2.8
+  */
  function script_concat_settings() {
  	global $concatenate_scripts, $compress_scripts, $compress_css;
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/shortcodes.php ./wordpress-3.3/wp-includes/shortcodes.php
*** ./wordpress-3.2.1/wp-includes/shortcodes.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/shortcodes.php	2011-10-12 11:50:30.000000000 -0500
***************
*** 148,154 ****
  		return $content;
  
  	$pattern = get_shortcode_regex();
! 	return preg_replace_callback('/'.$pattern.'/s', 'do_shortcode_tag', $content);
  }
  
  /**
--- 148,154 ----
  		return $content;
  
  	$pattern = get_shortcode_regex();
! 	return preg_replace_callback( "/$pattern/s", 'do_shortcode_tag', $content );
  }
  
  /**
***************
*** 157,169 ****
   * The regular expression combines the shortcode tags in the regular expression
   * in a regex class.
   *
!  * The regular expresion contains 6 different sub matches to help with parsing.
   *
!  * 1/6 - An extra [ or ] to allow for escaping shortcodes with double [[]]
   * 2 - The shortcode name
   * 3 - The shortcode argument list
   * 4 - The self closing /
   * 5 - The content of a shortcode when it wraps some content.
   *
   * @since 2.5
   * @uses $shortcode_tags
--- 157,170 ----
   * The regular expression combines the shortcode tags in the regular expression
   * in a regex class.
   *
!  * The regular expression contains 6 different sub matches to help with parsing.
   *
!  * 1 - An extra [ to allow for escaping shortcodes with double [[]]
   * 2 - The shortcode name
   * 3 - The shortcode argument list
   * 4 - The self closing /
   * 5 - The content of a shortcode when it wraps some content.
+  * 6 - An extra ] to allow for escaping shortcodes with double [[]]
   *
   * @since 2.5
   * @uses $shortcode_tags
***************
*** 175,182 ****
  	$tagnames = array_keys($shortcode_tags);
  	$tagregexp = join( '|', array_map('preg_quote', $tagnames) );
  
! 	// WARNING! Do not change this regex without changing do_shortcode_tag() and strip_shortcodes()
! 	return '(.?)\[('.$tagregexp.')\b(.*?)(?:(\/))?\](?:(.+?)\[\/\2\])?(.?)';
  }
  
  /**
--- 176,211 ----
  	$tagnames = array_keys($shortcode_tags);
  	$tagregexp = join( '|', array_map('preg_quote', $tagnames) );
  
! 	// WARNING! Do not change this regex without changing do_shortcode_tag() and strip_shortcode_tag()
! 	return
! 		  '\\['                              // Opening bracket
! 		. '(\\[?)'                           // 1: Optional second opening bracket for escaping shortcodes: [[tag]]
! 		. "($tagregexp)"                     // 2: Shortcode name
! 		. '\\b'                              // Word boundary
! 		. '('                                // 3: Unroll the loop: Inside the opening shortcode tag
! 		.     '[^\\]\\/]*'                   // Not a closing bracket or forward slash
! 		.     '(?:'
! 		.         '\\/(?!\\])'               // A forward slash not followed by a closing bracket
! 		.         '[^\\]\\/]*'               // Not a closing bracket or forward slash
! 		.     ')*?'
! 		. ')'
! 		. '(?:'
! 		.     '(\\/)'                        // 4: Self closing tag ...
! 		.     '\\]'                          // ... and closing bracket
! 		. '|'
! 		.     '\\]'                          // Closing bracket
! 		.     '(?:'
! 		.         '('                        // 5: Unroll the loop: Optionally, anything between the opening and closing shortcode tags
! 		.             '[^\\[]*+'             // Not an opening bracket
! 		.             '(?:'
! 		.                 '\\[(?!\\/\\2\\])' // An opening bracket not followed by the closing shortcode tag
! 		.                 '[^\\[]*+'         // Not an opening bracket
! 		.             ')*+'
! 		.         ')'
! 		.         '\\[\\/\\2\\]'             // Closing shortcode tag
! 		.     ')?'
! 		. ')'
! 		. '(\\]?)';                          // 6: Optional second closing brocket for escaping shortcodes: [[tag]]
  }
  
  /**
***************
*** 290,298 ****
  
  	$pattern = get_shortcode_regex();
  
! 	return preg_replace('/'.$pattern.'/s', '$1$6', $content);
  }
  
  add_filter('the_content', 'do_shortcode', 11); // AFTER wpautop()
  
! ?>
\ No newline at end of file
--- 319,336 ----
  
  	$pattern = get_shortcode_regex();
  
! 	return preg_replace_callback( "/$pattern/s", 'strip_shortcode_tag', $content );
! }
! 
! function strip_shortcode_tag( $m ) {
! 	// allow [[foo]] syntax for escaping a tag
! 	if ( $m[1] == '[' && $m[6] == ']' ) {
! 		return substr($m[0], 1, -1);
! 	}
! 
! 	return $m[1] . $m[6];
  }
  
  add_filter('the_content', 'do_shortcode', 11); // AFTER wpautop()
  
! ?>
